package it.eng.spago.cms;

import javax.jcr.Repository;

/**
 *
 * Defines a method to get a JSR 170 repository object. The SpagoCms configuration must contains 
 * the name of the class that implements to interface. SpagoCms will use it to get the 
 * repository instance
 */
public interface IRepositoryProvider {
    
	/**
	 * Gets a JSR 170 Repository object
	 * @return JSR 170 Repository object
	 */
	public Repository getRepository();
    
}
